Skip to Content

Get list migration progress

Returns the visible import job's committed counts, generation, terminal failure and resumability. The job persists across worker restarts and page reloads.

GET
/v1/contacts/imports/{id}

Returns the visible import job's committed counts, generation, terminal failure and resumability. The job persists across worker restarts and page reloads.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^cimport_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
id*ContactImportJobId
Match^cimport_[0-9a-hjkmnp-tv-z]{16,24}$
namespaceId*|null
topicId*TopicId
Match^tpc_[0-9a-hjkmnp-tv-z]{16,24}$
preset*string
Value in"beehiiv""substack""kit""mailchimp"
status*string
Value in"queued""running""finalizing""completed""failed"
generation*integer
Range0 <= value <= 9007199254740991
counts*
processedRows*integer
Range0 <= value <= 9007199254740991
totalRows*integer
Range0 <= value <= 9007199254740991
createdAt*string
startedAt*string|null
updatedAt*string
completedAt*string|null
failure*|null
resumable*boolean
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.contacts.getImportJob({
  "id": "example"
});
Example Response
{
  "id": "string",
  "namespaceId": "string",
  "topicId": "string",
  "preset": "beehiiv",
  "status": "queued",
  "generation": 0,
  "counts": {
    "totalRows": 0,
    "uniqueAddresses": 0,
    "subscribed": 0,
    "unsubscribed": 0,
    "suppressed": 0,
    "skipped": 0,
    "conflicts": 0,
    "created": 0,
    "existing": 0
  },
  "processedRows": 0,
  "totalRows": 0,
  "createdAt": "string",
  "startedAt": "string",
  "updatedAt": "string",
  "completedAt": "string",
  "failure": {
    "code": "string",
    "message": "string",
    "retryable": true
  },
  "resumable": true
}

Related documentation